Actualizar configuración de webhook
curl --request PUT \
--url https://api.hubapi.com/webhooks/v3/{appId}/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"targetUrl": "https://www.example.com/hubspot/target",
"throttling": {
"maxConcurrentRequests": 10,
"period": "SECONDLY"
}
}
'import requests
url = "https://api.hubapi.com/webhooks/v3/{appId}/settings"
payload = {
"targetUrl": "https://www.example.com/hubspot/target",
"throttling": {
"maxConcurrentRequests": 10,
"period": "SECONDLY"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
targetUrl: 'https://www.example.com/hubspot/target',
throttling: {maxConcurrentRequests: 10, period: 'SECONDLY'}
})
};
fetch('https://api.hubapi.com/webhooks/v3/{appId}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2020-01-24T16:27:59Z",
"targetUrl": "https://www.example.com/hubspot/target",
"throttling": {
"maxConcurrentRequests": 10,
"period": "SECONDLY"
},
"updatedAt": "2020-01-24T16:32:43Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Configuración
Update webhook setting
Actualiza la configuración del webhook para la aplicación especificada.
PUT
/
webhooks
/
v3
/
{appId}
/
settings
Actualizar configuración de webhook
Supported products
Supported products
Autorizaciones
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Parámetros de ruta
El ID de la aplicación de destino.
Cuerpo
application/json
New webhook settings to configure for the app, or updated settings to replace existing configuration.
New or updated webhook settings for an app.
Respuesta
successful operation
Webhook settings for an app.
Cuando se creó esta suscripción, con formato de cadena de fecha y hora.
Una URL pública para que HubSpot llame donde se entregarán las cargas útiles del evento.
Configuration details for webhook throttling.
Show child attributes
Show child attributes
Cuando se actualizó por última vez esta suscripción, con formato de cadena de fecha y hora.
Última modificación el 3 de abril de 2026